<template>
    <div>
        <h1>{{ city.toUpperCase() }}</h1>
        <table class="table">
            <tr>
                <th scope="col">Temperatura</th>
                <th scope="col">Vlažnost</th>
                <th scope="col">Pritisk</th>
                <th scope="col">Opis</th>
                <th scope="col">Datum</th>
                <th scope="col">Ikona</th>
            </tr>
            <tr v-for="weather in this.weatherData" :key="weather">
                <td>{{ fahrenheit2Celsius(weather.temperatura) }}</td>
                <td>{{ weather.vlaznost }}</td>
                <td>{{ weather.pritisk }}</td>
                <td>{{ weather.opis }}</td>
                <td>{{ weather.datum }}</td>
                <td><img :src="weather.ikona"></td>
            </tr>
        </table> 
    </div>
</template>
<style scoped>

</style>
<script>
export default {
    name: 'WeatherTable',
    props: {
        city: String,
        weatherData: Array
    },
    methods: {
        fahrenheit2Celsius(f) {
             return Math.trunc((5 / 9) * (f - 32))
        }
    }
}
</script>
